//--------------------------------------------------------------------------------------------------
//
// Title       : alu_tester
// Design      : ALU
// Author      : Steven
// Company     : UW CSE
//
//-------------------------------------------------------------------------------------------------
//
// File        : alu_tester.v
// Generated   : Wed Feb  8 15:05:56 2006
// From        : interface description file
// By          : Itf2Vhdl ver. 1.20
//
//-------------------------------------------------------------------------------------------------
//
// Description : 
//
//-------------------------------------------------------------------------------------------------
`timescale 1 ns / 1 ps

//{{ Section below this comment is automatically maintained
//   and may be overwritten
//{module {alu_tester}}
module alu_tester ( F_base ,A ,B ,Cin ,S ,M ,F_carry );

input [3:0] F_base ;
wire [3:0] F_base ;
input [3:0] F_carry ;
wire [3:0] F_carry ;

output [3:0] A ;
reg [3:0] A ;
output [3:0] B ;
reg [3:0] B ;
output Cin ;
reg Cin ;
output [1:0] S ;
reg [1:0] S ;
output M ;
reg M ;

integer i = 0;
//}} End of automatically maintained section

// -- Enter your statements here -- //
initial begin

 	for( i = 0; i < 4096; i=i+1) begin
		{M,S,Cin,A,B} = i;
		#15
		if(F_base !== F_carry) begin
			$display("***** Error: M: %d, S: %d, Cin: %d, A: %d, B: %d\nF_base: %d , F_carry: %d\n",M,S,Cin,A,B,F_base,F_carry);
			$stop;
		end	
	end
	$display("Test Passed -- No Errors");
end
endmodule
